Bug 1982681 (CVE-2021-32760)

Summary: CVE-2021-32760 containerd: pulling and extracting crafted container image may result in Unix file permission changes
Product: [Other] Security Response Reporter: Marian Rehak <mrehak>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aarif, aos-bugs, bdettelb, caswilli, dbecker, fjansen, gghezzo, go-sig, gparvin, jjoyce, jramanat, jschluet, kaycoth, lhh, lpeer, mburns, o.lemasle, rfreiman, rhos-maint, sclewis, security-response-team, slinaber, stcannon, tomckay
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: containerd 1.5.4, containerd 1.4.8 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in containerd where pulling and extracting a specially-crafted container image can result in Unix file permission changes for existing files in the host’s filesystem. Changes to file permissions can deny access to the expected owner of the file, widen access to others, or set extended bits like setuid, setgid, and sticky. This bug does not directly allow files to be read, modified, or executed without an additional cooperating process.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-05-12 10:16:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1983934, 1984372, 1983932, 2032712, 2032713, 2032714    
Bug Blocks: 1982684    

Description Marian Rehak 2021-07-15 12:17:12 UTC
A bug was found in containerd where pulling and extracting a specially-crafted container image can result in Unix file permission changes for existing files in the host’s filesystem. Changes to file permissions can deny access to the expected owner of the file, widen access to others, or set extended bits like setuid, setgid, and sticky. This bug does not directly allow files to be read, modified, or executed without an additional cooperating process.

Upstream advisory:

https://github.com/containerd/containerd/security/advisories/GHSA-c72p-9xmj-rx3w

Comment 3 Marian Rehak 2021-07-20 08:29:17 UTC
Created containerd tracking bugs for this issue:

Affects: epel-7 [bug 1983934]
Affects: fedora-all [bug 1983932]

Comment 9 errata-xmlrpc 2022-05-11 11:34:30 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 16.2

Via RHSA-2022:2183 https://access.redhat.com/errata/RHSA-2022:2183

Comment 10 Product Security DevOps Team 2022-05-12 10:16:04 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-32760